Fatal Error Occurred when installing virtualmin in Red Hat 6.1

16 posts / 0 new
Last post
#1 Thu, 08/18/2011 - 07:35
MunzirTaha

Fatal Error Occurred when installing virtualmin in Red Hat 6.1

# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 6.1 (Santiago)

# ./install.sh

Welcome to the Virtualmin GPL installer, version 1.0.6

WARNING:

The installation is quite stable and functional when run on a freshly
installed supported Operating System, but upgrades from existing .wbm-
based systems, or systems that already have Apache VirtualHost
directives or mail users, will very likely run

into numerous problems.
Please read the Virtualmin Administrators Guide before proceeding if
your system is not a freshly installed and supported OS.

This script is not intended to update your system! It should only be
used to install Virtualmin, on a supported OS. If you have previously
installed Virtualmin via this script or the GPL version of this script,
upgrades and updates should be handled within Virtualmin itself. Once
Virtualmin is installed, you never need to run this script again.

The systems currently supported by install.sh are:
CentOS 4 and 5 on i386 and x86_64
Debian 4.0, 5.0 and 6.0 on i386 and amd64
Ubuntu 8.04 LTS and 10.04 LTS on i386 and amd64

If your OS is not listed above, this script will fail. More details
about the systems supported by the script can be found here:

http://www.virtualmin.com/os-support.html

Continue? (y/n) y
Checking for HTTP client...found /usr/bin/curl -s -O
Checking for perl...found /usr/bin/perl
Loading log4sh logging library...
INFO - Started installation log in /root/virtualmin-install.log
INFO - Checking for fully qualified hostname...
INFO - Hostname OK: fully qualified as server4.islam.ws
INFO - Installing serial number and license key into /etc/virtualmin-license
INFO - Loading OS selection library...
INFO - Download of http://software.virtualmin.com/lib/oschooser.pl Succeeded.
INFO - Loading OS list...
INFO - Download of http://software.virtualmin.com/lib/os_list.txt Succeeded.
INFO - Operating system name: Red Hat Enterprise Linux
INFO - Operating system version: 6
INFO - Configuring package manager for Red Hat Enterprise Linux 6...
INFO - Disabling SELinux during installation...
/usr/sbin/setenforce: SELinux is disabled
INFO - setenforce 0 failed: 1
error: /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta: key 1 import failed.
error: /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta: key 2 import failed.
error: /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-legacy-former: key 1 import failed.
error: /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-legacy-release: key 1 import failed.
error: /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-legacy-rhx: key 1 import failed.
error: /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release: key 1 import failed.
error: /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release: key 2 import failed.
INFO - Download of http://software.virtualmin.com/gpl/rhel/6/x86_64/virtualmin-release-late... Succeeded.
Running updatedb so locate works...this will take a little while.
Attempting to import various system RPM-GPG-KEY files...Errors may occur,
if you've already imported them. It is safe to ignore these errors.
INFO - Succeeded.
INFO - Installing dependencies using command: /usr/bin/yum -y -d 2 install bind bind-utils caching-nameserver httpd postfix bind spamassassin procmail perl-DBD-Pg perl-DBD-MySQL quota iptables openssl python mailman subversion mysql mysql-server mysql-devel postgresql postgresql-server rh-postgresql rh-postgresql-server logrotate webalizer php php-domxl php-gd php-imap php-mysql php-odbc php-pear php-pgsql php-snmp php-xmlrpc php-mbstring mod_perl mod_python cyrus-sasl dovecot spamassassin mod_dav_svn cyrus-sasl-gssapi mod_ssl ruby ruby-devel rubygems perl-XML-Simple perl-Crypt-SSLeay
...in progress, please wait...
-http://software.virtualmin.com/gpl/rhel/6Server/x86_64/repodata/repomd.xml: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 404"
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: virtualmin. Please verify its path and try again
/usr/bin/yum -y -d 2 install bind bind-utils caching-nameserver httpd postfix bind spamassassin procmail perl-DBD-Pg perl-DBD-MySQL quota iptables openssl python mailman subversion mysql mysql-server mysql-devel postgresql postgresql-server rh-postgresql rh-postgresql-server logrotate webalizer php php-domxl php-gd php-imap php-mysql php-odbc php-pear php-pgsql php-snmp php-xmlrpc php-mbstring mod_perl mod_python cyrus-sasl dovecot spamassassin mod_dav_svn cyrus-sasl-gssapi mod_ssl ruby ruby-devel rubygems perl-XML-Simple perl-Crypt-SSLeay failed. Error (if any): 0

Displaying the last 15 lines of /root/virtualmin-install.log to help troubleshoot this problem:
INFO - 2011-08-18 07:32:15 - Installing serial number and license key into /etc/virtualmin-license
INFO - 2011-08-18 07:32:15 - Loading OS selection library...
INFO - 2011-08-18 07:32:15 - Download of http://software.virtualmin.com/lib/oschooser.pl Succeeded.
INFO - 2011-08-18 07:32:15 - Loading OS list...
INFO - 2011-08-18 07:32:15 - Download of http://software.virtualmin.com/lib/os_list.txt Succeeded.
INFO - 2011-08-18 07:32:16 - Operating system name: Red Hat Enterprise Linux
INFO - 2011-08-18 07:32:16 - Operating system version: 6
INFO - 2011-08-18 07:32:16 - Configuring package manager for Red Hat Enterprise Linux 6...
INFO - 2011-08-18 07:32:16 - Disabling SELinux during installation...
INFO - 2011-08-18 07:32:16 - setenforce 0 failed: 1
INFO - 2011-08-18 07:32:16 - Download of http://software.virtualmin.com/gpl/rhel/6/x86_64/virtualmin-release-late... Succeeded.
INFO - 2011-08-18 07:32:16 - Succeeded.
INFO - 2011-08-18 07:32:16 - Installing dependencies using command: /usr/bin/yum -y -d 2 install bind bind-utils caching-nameserver httpd postfix bind spamassassin procmail perl-DBD-Pg perl-DBD-MySQL quota iptables openssl python mailman subversion mysql mysql-server mysql-devel postgresql postgresql-server rh-postgresql rh-postgresql-server logrotate webalizer php php-domxl php-gd php-imap php-mysql php-odbc php-pear php-pgsql php-snmp php-xmlrpc php-mbstring mod_perl mod_python cyrus-sasl dovecot spamassassin mod_dav_svn cyrus-sasl-gssapi mod_ssl ruby ruby-devel rubygems perl-XML-Simple perl-Crypt-SSLeay
Loaded plugins: product-id, rhnplugin, subscription-manager
Updating Red Hat repositories.

FATAL -

Fatal Error Occurred: Something went wrong during installation: 0
FATAL - Cannot continue installation.
FATAL - Attempting to remove virtualmin repository configuration, so the installation can be
FATAL - re-attempted after any problems have been resolved.
FATAL - Removing temporary directory and files.
FATAL - If you are unsure of what went wrong, you may wish to review the log
FATAL - in /root/virtualmin-install.log

Thu, 08/18/2011 - 08:19
andreychek

Thanks for the heads up!

I see what the problem is, we'll have that fixed here shortly...

-Eric

Thu, 08/18/2011 - 09:06
MunzirTaha

Thanks a lot for the cooperation. Shortly here means within hours or days? Because I need the fix today urgently or else I would have to replace either the OS or virtualmin.

Thu, 08/18/2011 - 09:12
andreychek

The people who can fix it live on the west coast of the US, and aren't awake yet.

It's a simple fix, and once they're awake, it should be fixed within a few hours :-)

It should certainly be resolved today.

-Eric

Thu, 08/18/2011 - 09:20
MunzirTaha

Thanks I will be waiting...
However, after I faced the problem, I did install webmin and virtualmin module using rpm. I didn't yet added any accounts, the question is would something like
yum remove virtualmin-release-latest virtualmin-release wbm-virtual-server wbt-virtual-server-theme webmin
be enough or should I reinstall the OS again to be clean?

Thu, 08/18/2011 - 09:26
MunzirTaha

Thanks I will be waiting...
However, after I faced the problem, I did install webmin and virtualmin module using rpm. I didn't yet added any accounts, the question is would something like
yum remove virtualmin-release-latest virtualmin-release wbm-virtual-server wbt-virtual-server-theme webmin
be enough or should I reinstall the OS again to be clean?

Thu, 08/18/2011 - 09:28
andreychek

Yup, removing those with yum should be just fine.

-Eric

Thu, 08/18/2011 - 11:16
Joe
Joe's picture

I think this is fixed. I believe the problem was just a missing link in the GPL repository, which has now been added.

--

Check out the forum guidelines!

Thu, 08/18/2011 - 13:52
MunzirTaha

Thanks, I rerun the script but now got different errors:

INFO - Installing dependencies using command: /usr/bin/yum -y -d 2 install bind bind-utils caching-nameserver httpd postfix bind spamassassin procmail perl-DBD-Pg perl-DBD-MySQL quota iptables openssl python mailman subversion mysql mysql-server mysql-devel postgresql postgresql-server rh-postgresql rh-postgresql-server logrotate webalizer php php-domxl php-gd php-imap php-mysql php-odbc php-pear php-pgsql php-snmp php-xmlrpc php-mbstring mod_perl mod_python cyrus-sasl dovecot spamassassin mod_dav_svn cyrus-sasl-gssapi mod_ssl ruby ruby-devel rubygems perl-XML-Simple perl-Crypt-SSLeay
...in progress, please wait...
-Error: Package: httpd-manual-2.2.15-9.el6.noarch (@anaconda-RedHatEnterpriseLinux-201105101844.x86_64/6.1)
Requires: httpd = 2.2.15-9.el6
Removing: httpd-2.2.15-9.el6.x86_64 (@anaconda-RedHatEnterpriseLinux-201105101844.x86_64/6.1)
httpd = 2.2.15-9.el6
Updated By: 1:httpd-2.2.15-5.el6.vm.x86_64 (virtualmin)
httpd = 1:2.2.15-5.el6.vm
Available: httpd-2.2.15-5.el6.x86_64 (rhel-x86_64-server-6)
httpd = 2.2.15-5.el6
/usr/bin/yum -y -d 2 install bind bind-utils caching-nameserver httpd postfix bind spamassassin procmail perl-DBD-Pg perl-DBD-MySQL quota iptables openssl python mailman subversion mysql mysql-server mysql-devel postgresql postgresql-server rh-postgresql rh-postgresql-server logrotate webalizer php php-domxl php-gd php-imap php-mysql php-odbc php-pear php-pgsql php-snmp php-xmlrpc php-mbstring mod_perl mod_python cyrus-sasl dovecot spamassassin mod_dav_svn cyrus-sasl-gssapi mod_ssl ruby ruby-devel rubygems perl-XML-Simple perl-Crypt-SSLeay failed. Error (if any): 0

Displaying the last 15 lines of /root/virtualmin-install.log to help troubleshoot this problem:
--> Processing Dependency: httpd = 2.2.15-9.el6 for package: httpd-manual-2.2.15-9.el6.noarch
---> Package httpd.x86_64 1:2.2.15-5.el6.vm will be an update
--> Processing Dependency: httpd-tools = 1:2.2.15-5.el6.vm for package: 1:httpd-2.2.15-5.el6.vm.x86_64
---> Package mod_ssl.x86_64 1:2.2.15-9.el6 will be updated
---> Package mod_ssl.x86_64 2:2.2.15-5.el6.vm will be an update
--> Running transaction check
---> Package httpd.x86_64 0:2.2.15-9.el6 will be updated
--> Processing Dependency: httpd = 2.2.15-9.el6 for package: httpd-manual-2.2.15-9.el6.noarch
---> Package httpd-devel.x86_64 0:2.2.15-9.el6 will be updated
---> Package httpd-devel.x86_64 1:2.2.15-5.el6.vm will be an update
---> Package httpd-tools.x86_64 0:2.2.15-9.el6 will be updated
---> Package httpd-tools.x86_64 1:2.2.15-5.el6.vm will be an update
--> Finished Dependency Resolution
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

FATAL - Fatal Error Occurred: Something went wrong during installation: 0
FATAL - Cannot continue installation.
FATAL - Attempting to remove virtualmin repository configuration, so the installation can be
FATAL - re-attempted after any problems have been resolved.
FATAL - Removing temporary directory and files.
FATAL - If you are unsure of what went wrong, you may wish to review the log
FATAL - in /root/virtualmin-install.log

Thu, 08/18/2011 - 13:57
andreychek

Howdy,

Try removing the httpd-manual package, and then re-run the installer. You can do that with this command:

rpm -e httpd-manual

Thu, 08/18/2011 - 14:29
MunzirTaha

Now it works. Thanks a lot.

Thu, 08/18/2011 - 14:31
andreychek

Great, I'm glad that's working!

-Eric

Thu, 08/18/2011 - 15:04
MunzirTaha

But please fix the script so no one would need to figure the magic rpm -e httpd-manual the hard way.

Thu, 08/18/2011 - 21:50
andreychek

Joe has a fix on the way for that particular issue.

-Eric

Thu, 09/01/2011 - 16:50
kreso

Had the same problem, and now after "rpm -e httpd-manual" these errors appear:

Displaying the last 15 lines of /root/virtualmin-install.log to help troubleshoot this problem: ---> Package wbm-virtualmin-init.noarch 2:2.1-1 set to be updated ---> Package wbm-virtualmin-mailman.noarch 2:6.0-1 set to be updated ---> Package wbm-virtualmin-registrar.noarch 2:2.0-1 set to be updated ---> Package wbm-virtualmin-svn.noarch 2:4.8-1 set to be updated ---> Package wbt-virtual-server-mobile.noarch 2:2.4-1 set to be updated ---> Package wbt-virtual-server-theme.noarch 2:8.1-1 set to be updated ---> Package webmin.noarch 0:1.562-1 set to be updated --> Running transaction check ---> Package GeoIP.x86_64 0:1.4.7-0.1.20090931cvs.el6 set to be updated ---> Package clamav-db.x86_64 0:0.97-13.el6 set to be updated ---> Package virtualmin-base.noarch 0:1.0-62.rh set to be updated --> Processing Dependency: perl(IO::Tty) for package: virtualmin-base-1.0-62.rh.noarch --> Finished Dependency Resolution You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest

FATAL - Fatal Error Occurred: Installation failed: 0 FATAL - Cannot continue installation. FATAL - Attempting to remove virtualmin repository configuration, so the installation can be FATAL - re-attempted after any problems have been resolved. FATAL - Removing temporary directory and files. FATAL - If you are unsure of what went wrong, you may wish to review the log FATAL - in /root/virtualmin-install.log

Thu, 09/01/2011 - 16:58
andreychek

There's an open bug (and a workaround) for the IO::Tty issue here:

http://www.virtualmin.com/node/19363